package com.yixin.ms.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author: lileilei
 * @date: 2022/6/23 15:44
 * @description:
 */
@Data
@Accessors(chain = true)
public class DeviceScanCodeDTO {
    @ApiModelProperty("认证 token")
    private String token;

    @ApiModelProperty("设备id")
    private String deviceId;

    @ApiModelProperty("业务流水号（请保证唯 一）")
    private String bizNo;

    @ApiModelProperty("健康码查询编码 通过这个编码可 以查询用户健康 码信息，杭州是 barcode,其他地 市是 qrcode 字 段")
    private String healthCodeQrCode;

    @ApiModelProperty("链接参数 扫用户健康码解 析出来的 url 参 数")
    private String urlParams;

    @ApiModelProperty("证件号码")
    private String cityCode = "330100";
}
